# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "capistrano/sozo_magento2/version"

Gem::Specification.new do |spec|
    spec.name       = "capistrano-sozo_magento2"
    spec.version    = Capistrano::SozoMagento2::VERSION
    spec.authors    = ["Clive Walkden"]
    spec.email      = ["clive@sozodesign.co.uk"]
    spec.description    = %q{Magento 2 support for Capistrano 3.x in SOZO hosted environments}
    spec.summary        = %q{Magento 2 support for Capistrano 3.x in SOZO hosted environments}
    spec.homepage       = "https://github.com/sozo-design/capistrano-sozo-magento2"
    spec.license        = "Proprietary"
    
    spec.files          = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(build|test|spec|features)/}) }
    spec.bindir        = "bin"
    spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
    spec.require_paths = ["lib"]

    spec.required_ruby_version = '>= 2.5.3'
    
    spec.add_dependency "capistrano", "~> 3.9"
end